Package Details: razergenie-git 0.7.r111.g312a836-1

Git Clone URL: https://aur.archlinux.org/razergenie-git.git (read-only, click to copy)
Package Base: razergenie-git
Description: Qt application for configuring your Razer devices under GNU/Linux.
Upstream URL: https://github.com/z3ntu/RazerGenie
Keywords: openrazer razer
Licenses: GPL3
Conflicts: razergenie
Provides: razergenie
Submitter: z3ntu
Maintainer: z3ntu
Last Packager: z3ntu
Votes: 6
Popularity: 0.64
First Submitted: 2017-04-16 21:48 (UTC)
Last Updated: 2020-12-06 09:59 (UTC)

Latest Comments

z3ntu commented on 2022-04-27 10:44 (UTC)

The build is currently broken due to https://github.com/mesonbuild/meson/issues/10301 . If you want to build now, either use meson before version 0.62.0 or the (currently) open pull request linked in the issue.

incomingstick commented on 2022-04-12 23:47 (UTC) (edited on 2022-04-12 23:48 (UTC) by incomingstick)

Currently unable to install with the following build error:

ERROR: Target 'qt5-compile-de.ts' has 1 outputs: ['de.qm'], but only 29 "install_dir"s were found.
Pass 'false' for outputs that should not be installed and 'true' for
using the default installation directory for an output.

Also, package may be out of date. AUR version tag says 0.7 but current release is v0.9.0

slimb commented on 2020-12-02 07:05 (UTC)

@fsyy - owner has split 2 parts of the code into separate packages. I have solved this issue by uploading them to AUR. You can install them, then this package will work. Let me know if I missed any dependency.

https://aur.archlinux.org/packages/z3ntu-razer_test-git https://aur.archlinux.org/packages/z3ntu-libopenrazer-git

@z3ntu - can you add razer_test and libopenrazer to PKGBUILD dependencies please? Thanks for RazerGenie btw! :)

fsyy commented on 2020-10-13 20:37 (UTC) (edited on 2020-10-13 20:38 (UTC) by fsyy)

can't build it, i get the following error:

run-time dependency razer_test found: NO (tried pkgconfig and cmake) Looking for a fallback subproject for the dependency razer_test

RazerGenie/meson.build:9:0: ERROR: Automatic wrap-based subproject downloading is disabled